# Command: frexp

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    frexp - Decomposes its argument into an exponent of 2 and a factor

Synopsis:

    double frexp -> double integer

Examples:

    -5 dexp frexp -> 0.5 -4

Description:

      This is an interface to the C++ function
      double std::frexp(double,int*)
      In accordance with the normalized representation of the mantissa
      in IEEE doubles, the factor is in the interval [0.5,1).

References:

    Stroustrup 3rd ed p 661

Author:

    Diesmann

FirstVersion:

    17.5.2005

SeeAlso:

- ldexp
- dexp
- modf

Source:

    /opt/conda/conda-bld/nest_1524088722951/work/nest-2.14.0/sli/slimath.cc

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative